
From: David Howells <dhowells@redhat.com>

The attached patch makes the presence of /proc/kcore conditional on CONFIG_MMU
being configured on.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/Kconfig~make-proc-kcore-conditional-on-config_mmu fs/Kconfig
--- 25/fs/Kconfig~make-proc-kcore-conditional-on-config_mmu	Mon Nov  8 14:48:46 2004
+++ 25-akpm/fs/Kconfig	Mon Nov  8 14:48:46 2004
@@ -820,7 +820,7 @@ config PROC_FS
 
 config PROC_KCORE
 	bool "/proc/kcore support" if !ARM
-	depends on PROC_FS
+	depends on PROC_FS && MMU
 
 config SYSFS
 	bool "sysfs file system support" if EMBEDDED
_
